using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：附件
    /// </summary>
    [Description("导航：附件")]
    public class T_WB_REGISTER_4_FILE : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Files")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_WB_REGISTER_4 Nav_Parent { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航: 附件
        /// </summary>
        [Description("导航: 附件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
        /// <summary>
        /// 报告有效期
        /// </summary>
        [Description("报告有效期")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime? VALID_TIME { get; set; }
    }
}
